<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>com.mgr.group</groupId>
  	<artifactId>group_mgr</artifactId>
	<packaging>war</packaging>
	<version>1.0.0</version>
	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<maven.compiler.source>1.8</maven.compiler.source>
		<maven.compiler.target>1.8</maven.compiler.target>
		<build.type>pro</build.type>
	</properties>
		
	<dependencies>
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>3.8.1</version>
			<scope>test</scope>
		</dependency>

		<!--依赖 data_cache -->
		<dependency>
			<groupId>com.data</groupId>
			<artifactId>data_cache</artifactId>
			<version>1.0.1</version>
		</dependency>

		<!--依赖 taurus-core -->
		<dependency>
			<groupId>com.taurus</groupId>
			<artifactId>taurus-core</artifactId>
			<version>1.0.1</version>
		</dependency>

		<!--依赖 taurus-web -->
		<dependency>
			<groupId>com.taurus</groupId>
			<artifactId>taurus-web</artifactId>
			<version>1.0.1</version>
		</dependency>

		<!--依赖 taurus-permanent -->
		<dependency>
			<groupId>com.taurus</groupId>
			<artifactId>taurus-permanent</artifactId>
			<version>1.0.1</version>
		</dependency>
		
		<!-- 需要用redis时导入 -->
		<dependency>
			<groupId>redis.clients</groupId>
			<artifactId>jedis</artifactId>
			<version>2.9.0</version>
		</dependency>

		<!-- 需要用HikariCP时导入 ，自己在项目中添加 -->
		<dependency>
			<groupId>com.zaxxer</groupId>
			<artifactId>HikariCP</artifactId>
			<version>3.3.1</version>
		</dependency>

		<!-- 需要用mysql时导入 ，自己在项目中添加 -->
		<!-- https://mvnrepository.com/artifact/mysql/mysql-connector-java -->
		<dependency>
			<groupId>mysql</groupId>
			<artifactId>mysql-connector-java</artifactId>
			<version>5.1.48</version>
		</dependency>


		<!-- https://mvnrepository.com/artifact/jdom/jdom -->
		<dependency>
			<groupId>jdom</groupId>
			<artifactId>jdom</artifactId>
			<version>1.0</version>
		</dependency>

		<!-- https://mvnrepository.com/artifact/log4j/log4j -->
		<dependency>
			<groupId>log4j</groupId>
			<artifactId>log4j</artifactId>
			<version>1.2.17</version>
		</dependency>
		
		<dependency>
		    <groupId>org.quartz-scheduler</groupId>
		    <artifactId>quartz</artifactId>
		    <version>2.2.3</version>
		</dependency>

		<!-- https://mvnrepository.com/artifact/org.eclipse.jetty/jetty-webapp -->
		<dependency>
		    <groupId>org.eclipse.jetty</groupId>
		    <artifactId>jetty-webapp</artifactId>
		    <version>8.2.0.v20160908</version>
		    <scope>provided</scope>
		</dependency>
	</dependencies>
	
	<build>
		<finalName>ROOT</finalName>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
            	<artifactId>maven-war-plugin</artifactId>
			    <configuration>
			    	<source>1.8</source>
					<target>1.8</target>
					<encoding>UTF-8</encoding>
					<warSourceExcludes>logs/**,config/**</warSourceExcludes>  
			        <webResources>
                    	<resource>
                    		<targetPath>config/</targetPath>
           					<directory>${project.basedir}/build/${build.type}/</directory>
                    	</resource>
                   	</webResources>
			    </configuration>
			</plugin>
		</plugins>
	</build>

</project>
